﻿--
-- Script was generated by Devart dbForge Studio 2020 for MySQL, Version 9.0.897.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 11/05/2023 9:46:16
-- Server version: 8.0.30
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS desarrollo;

CREATE DATABASE desarrollo
CHARACTER SET utf8mb4
COLLATE utf8mb4_0900_ai_ci;

--
-- Set default database
--
USE desarrollo;

--
-- Create table `alumnos`
--
CREATE TABLE alumnos (
  codigo int NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  correo varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_0900_ai_ci;

--
-- Create index `correo` on table `alumnos`
--
ALTER TABLE alumnos
ADD UNIQUE INDEX correo (correo);

--
-- Create table `examenes`
--
CREATE TABLE examenes (
  id int NOT NULL AUTO_INCREMENT,
  titulo varchar(100) DEFAULT NULL,
  nota float DEFAULT NULL,
  fecha date DEFAULT NULL,
  codigoAlumno int DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_0900_ai_ci;

--
-- Create foreign key
--
ALTER TABLE examenes
ADD CONSTRAINT FKExamenesAlumnos FOREIGN KEY (codigoAlumno)
REFERENCES alumnos (codigo);

-- 
-- Dumping data for table alumnos
--
INSERT INTO alumnos VALUES
(1, 'Eva', 'eva@alpe.es'),
(2, 'Luis', 'luis@alpe.es'),
(3, 'Susana', 'susana@alpe.es'),
(4, 'Lorena', 'lorena@alpe.es');

-- 
-- Dumping data for table examenes
--
INSERT INTO examenes VALUES
(1, 'php', 9, '2023-05-01', 1),
(2, 'php', 8, '2023-04-20', 2);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;